org.apache.felix.connect.felix.framework.util

## Class StringMap<T>

- java.lang.Object
- - org.apache.felix.connect.felix.framework.util.StringMap<T>

All Implemented Interfaces:
  Map<String,T>

    public class StringMap<T>
    extends Object
    implements Map<String,T>

Simple utility class that creates a map for string-based keys. This map can be set to use case-sensitive or case-insensitive comparison when searching for the key. Any keys put into this map will be converted to a `String` using the `toString()` method, since it is only intended to compare strings.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`StringMap()`
`StringMap(boolean caseSensitive)`
`StringMap(Map<? extends String,? extends T> map, boolean caseSensitive)`

### Method Summary

Methods
`void` `clear()`
`boolean` `containsKey(Object arg0)`
`boolean` `containsValue(Object arg0)`
`Set<Map.Entry<String,T>>` `entrySet()`
`T` `get(Object arg0)`
`boolean` `isCaseSensitive()`
`boolean` `isEmpty()`
`Set<String>` `keySet()`
`T` `put(String key, T value)`
`void` `putAll(Map<? extends String,? extends T> map)`
`T` `remove(Object arg0)`
`void` `setCaseSensitive(boolean b)`
`int` `size()`
`String` `toString()`
`Collection<T>` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### StringMap

    public StringMap()

#### StringMap

    public StringMap(boolean caseSensitive)

#### StringMap

    public StringMap(Map<? extends String,? extends T> map,
             boolean caseSensitive)

### Method Detail

#### isCaseSensitive

    public boolean isCaseSensitive()

#### setCaseSensitive

    public void setCaseSensitive(boolean b)

#### size

    public int size()

Specified by:
  `size` in interface `Map<String,T>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<String,T>`

#### containsKey

    public boolean containsKey(Object arg0)

Specified by:
  `containsKey` in interface `Map<String,T>`

#### containsValue

    public boolean containsValue(Object arg0)

Specified by:
  `containsValue` in interface `Map<String,T>`

#### get

    public T get(Object arg0)

Specified by:
  `get` in interface `Map<String,T>`

#### put

    public T put(String key,
        T value)

Specified by:
  `put` in interface `Map<String,T>`

#### putAll

    public void putAll(Map<? extends String,? extends T> map)

Specified by:
  `putAll` in interface `Map<String,T>`

#### remove

    public T remove(Object arg0)

Specified by:
  `remove` in interface `Map<String,T>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Map<String,T>`

#### keySet

    public Set<String> keySet()

Specified by:
  `keySet` in interface `Map<String,T>`

#### values

    public Collection<T> values()

Specified by:
  `values` in interface `Map<String,T>`

#### entrySet

    public Set<Map.Entry<String,T>> entrySet()

Specified by:
  `entrySet` in interface `Map<String,T>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`